### Enumeration

# GLib OptionArg

#### Declaration

    enum GLib.OptionArg

#### Description

The `GOptionArg` enum values determine which type of extra argument the options expect to find. If an option expects an extra argument, it can be specified in several ways; with a short option: `-x arg`, with a long option: `--name arg` or combined in a single argument: `--name=arg`.

#### Members

`G_OPTION_ARG_NONE`

  No extra argument. This is useful for simple flags or booleans.

  - Value: `0`
  - Available since: 2.0
`G_OPTION_ARG_STRING`

  The option takes a UTF-8 string argument.

  - Value: `1`
  - Available since: 2.0
`G_OPTION_ARG_INT`

  The option takes an integer argument.

  - Value: `2`
  - Available since: 2.0
`G_OPTION_ARG_CALLBACK`

  The option provides a callback (of type `GOptionArgFunc`) to parse the extra argument.

  - Value: `3`
  - Available since: 2.0
`G_OPTION_ARG_FILENAME`

  The option takes a filename as argument, which will be in the GLib filename encoding rather than UTF-8.

  - Value: `4`
  - Available since: 2.0
`G_OPTION_ARG_STRING_ARRAY`

  The option takes a string argument, multiple uses of the option are collected into an array of strings.

  - Value: `5`
  - Available since: 2.0
`G_OPTION_ARG_FILENAME_ARRAY`

  The option takes a filename as argument, multiple uses of the option are collected into an array of strings.

  - Value: `6`
  - Available since: 2.0
`G_OPTION_ARG_DOUBLE`

  The option takes a double argument. The argument can be formatted either for the user’s locale or for the “C” locale. Since 2.12.

  - Value: `7`
  - Available since: 2.0
`G_OPTION_ARG_INT64`

  The option takes a 64-bit integer. Like `G_OPTION_ARG_INT` but for larger numbers. The number can be in decimal base, or in hexadecimal (when prefixed with `0x`, for example, `0xffffffff`). Since 2.12.

  - Value: `8`
  - Available since: 2.0